//*****************************************************************************
//*
//*
//*		GamePriceDoc.cpp
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"GamePrice.h"
#include	"GamePriceDoc.h"
#include	"GamePriceView.h"
#include	"CoordFunctions.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif


IMPLEMENT_DYNCREATE(CGamePriceDoc, CDocument)

BEGIN_MESSAGE_MAP(CGamePriceDoc, CDocument)
	//{{AFX_MSG_MAP(CGamePriceDoc)
	ON_COMMAND(ID_FILE_SAVE_AS	,OnSaveAs)
	ON_COMMAND(ID_FILE_OPEN		,OnFileOpen)
	ON_COMMAND(ID_FILE_SAVE		,OnFileSave)
	ON_COMMAND(ID_LOADLAST		,OnLoadLast)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


LOAD_LAST(CGamePriceDoc,CGamePriceApp);


//*****************************************************************************
//*
//*		CGamePriceDoc
//*
//*****************************************************************************
//  CGamePriceDoc Konstruktion/Destruktion
CGamePriceDoc::CGamePriceDoc()
{

}

//*****************************************************************************
//*
//*		CGamePriceDoc
//*
//*****************************************************************************
CGamePriceDoc::~CGamePriceDoc()
{
}

//*****************************************************************************
//*
//*		OnNewDocument
//*
//*****************************************************************************
BOOL CGamePriceDoc::OnNewDocument()
{
CGamePriceView *pView;
POSITION		hPos;


	if(!CDocument::OnNewDocument())
		{
		return FALSE;
		}


		hPos  =	GetFirstViewPosition();						// Zeiger auf Fenster holen
		pView = (CGamePriceView*)GetNextView(hPos);
	if(!pView)return FALSE;

	SetPathName("Das Spiel");


return TRUE;
}



//*****************************************************************************
//*
//*		Serialize
//*
//*****************************************************************************
//  CGamePriceDoc Serialisierung
void CGamePriceDoc::Serialize(CArchive &ar)
{
	if(ar.IsStoring())
		{
		}
	else{
		}
}


#ifdef		_DEBUG						

//*****************************************************************************
//*
//*		AssertValid
//*
//*****************************************************************************
void CGamePriceDoc::AssertValid() const
{
	CDocument::AssertValid();
}

//*****************************************************************************
//*
//*		Dump
//*
//*****************************************************************************
void CGamePriceDoc::Dump(CDumpContext &dc) const
{
	CDocument::Dump(dc);
}
#endif 

//*****************************************************************************
//*
//*		OnSaveDocument
//*
//*****************************************************************************
BOOL CGamePriceDoc::OnSaveDocument(LPCTSTR pPathName)
{


return FALSE;
}

//*****************************************************************************
//*
//*		OnOpenDocument
//*
//*****************************************************************************
BOOL CGamePriceDoc::OnOpenDocument(LPCTSTR pPathName)
{
CGamePriceView *pView;
POSITION		hPos;


	
	
	
		hPos  =	GetFirstViewPosition();						// Zeiger auf Fenster holen
		pView = (CGamePriceView*)GetNextView(hPos);
	if(!pView)
		{
		return FALSE;
		}





return TRUE;
}


//*****************************************************************************
//*
//*		OnSaveAs
//*
//*****************************************************************************
//	Speichert einen Pfad
void CGamePriceDoc::OnSaveAs()
{

}

//*****************************************************************************
//*
//*		OnFileSave
//*
//*****************************************************************************
//	Speichert einen Pfad
void CGamePriceDoc::OnFileSave()
{


}


//*****************************************************************************
//*
//*		OnFileOpen
//*
//*****************************************************************************
//	ffne eine Datei mit Dialog
void CGamePriceDoc::OnFileOpen()
{
CString		sPath;



	CFileDialog	sFile(TRUE,_T("*.gpx"),NULL,OFN_EXPLORER|OFN_ENABLESIZING|OFN_PATHMUSTEXIST|OFN_FILEMUSTEXIST|OFN_HIDEREADONLY,_T("Trackdateien|*.gpx;*.kml;*.kmz;*.trk;*.tk;*.csv|GPX-Datei (*.gpx)|*.gpx|KML-Datei (*.kml)|*.kml;*.kmz|TRK-Datei (*.trk)|*.trk|TK-Datei (*.tk)|*.tk|CSV-Datei (*.csv)|*.csv|Alle Dateien  (*.*)|*.*|"));


	   sFile.m_ofn.lpstrTitle=_T("Track-Datei laden");
	if(sFile.DoModal()!=IDOK)return;

	sPath =  sFile.GetPathName();

	AfxGetApp()->OpenDocumentFile(sPath);

}

//*****************************************************************************
//*
//*		ClearPathName
//*
//*****************************************************************************
//	Lscht den Pfadnamen
void CGamePriceDoc::ClearPathName()
{

	m_strPathName.Empty();      

}	

//*****************************************************************************
//*
//*		IsModified
//*
//*****************************************************************************
BOOL CGamePriceDoc::IsModified()
{
CGamePriceView *pView;
POSITION		hPos;


		hPos  =	GetFirstViewPosition();						// Zeiger auf Fenster holen
		pView = (CGamePriceView*)GetNextView(hPos);
	if(!pView)return FALSE;
	

return FALSE;
}

//*****************************************************************************
//*
//*		DoFileSave
//*
//*****************************************************************************
BOOL CGamePriceDoc::DoFileSave()
{

return FALSE;
}

