//*****************************************************************************
//*
//*
//*		SettingsDlg.cpp
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"GamePrice.h"
#include	"SettingsDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(CSettingsDlg, CDialog)
	//{{AFX_MSG_MAP(CSettingsDlg)
	ON_BN_CLICKED(IDC_BUTTON1, OnPath)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()



//*****************************************************************************
//*
//*		CDialog
//*
//*****************************************************************************
//  Dialogfeld CSettingsDlg
CSettingsDlg::CSettingsDlg(CWnd *pParent):CDialog(CSettingsDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CSettingsDlg)
	m_sHtmlPath		= _T("");
	m_sTimeLimith	= _T("");
	m_bSingleMode	= FALSE;									// Jeder startet einzeln
	m_bAutoCount	= TRUE;										// Automatisch Punkte zhlen
	m_bSameSide		= FALSE;									// Auf gleicher Seite starten
	m_bScalaCol		= TRUE;										// Mehrfarbige Skala
	//}}AFX_DATA_INIT

	m_iTimeLimith	= 0;
}


//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CSettingsDlg::DoDataExchange(CDataExchange *pDX)
{

	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CSettingsDlg)
	DDX_Text    (pDX,IDC_EDIT1 ,m_sTimeLimith);
	DDX_CBString(pDX,IDC_COMBO1,m_sHtmlPath  );
	DDX_Check   (pDX,IDC_CHECK1,m_bSingleMode);
	DDX_Check   (pDX,IDC_CHECK2,m_bAutoCount );
	DDX_Check   (pDX,IDC_CHECK3,m_bSameSide	 );
	DDX_Check   (pDX,IDC_CHECK4,m_bScalaCol	 );
	//}}AFX_DATA_MAP

}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CSettingsDlg::OnInitDialog()
{

	m_sTimeLimith.Format("%i",m_iTimeLimith);

	ComboBoxLoad(this,IDC_COMBO1,"HtmlPaths","#",m_sHtmlPath); 

	SubclassComboBox(this,IDC_COMBO1,SCB_DROPFILE);
	SetButtonBitmap(this,IDC_BUTTON1,IDB_OPEN);
	
	CDialog::OnInitDialog();


return TRUE;
}

//*****************************************************************************
//*
//*		OnDestroy
//*
//*****************************************************************************
void CSettingsDlg::OnDestroy()
{
	
	DelButtonBitmap(this,IDC_BUTTON1);
	
	CDialog::OnDestroy();


}

//*****************************************************************************
//*
//*		OnPath
//*
//*****************************************************************************
void CSettingsDlg::OnPath()
{
CPathDlg	sDlg;


	UpdateData();

	if(sDlg.DoModal()!=IDOK)return;

	m_sHtmlPath = sDlg.GetPath();

	UpdateData(FALSE);

}

//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CSettingsDlg::OnCancel()
{

	CDialog::OnCancel();
}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CSettingsDlg::OnOK()
{

	UpdateData();

	if(!m_sHtmlPath.IsEmpty() && ExistFile(m_sHtmlPath)!=2)
		{
		if(MessageBox("Bitte ein gltiges Hintergrundbild auswhlen !\n\nTrotzdem bernehmen ?","Warnung",MB_OKCANCEL|MB_ICONWARNING|MB_DEFBUTTON2)!=IDOK)
			{
			return;
			}
		}
	
	m_iTimeLimith = atoi(m_sTimeLimith);

	ComboBoxSave(this,IDC_COMBO1,"HtmlPaths","#");

	CDialog::OnOK();
}

